#!/usr/bin/env python

header = [
"# Test for proper behavior of 4000 (metronome) trigger events.",
"# Do not use a loop cable (it will confuse things).",
"# For triggers 100-4099,  the folling metronome down velocity should be",
"# TRIGGER_NUM % 100. This makes it easy to verify correctness (that",
"# is, that each trigger is doing what is should): look",
"# at a number of metronome events through the entire output file and",
"# verify that the metronome velocity equals the preceding trigger",
"# number % 100 ('%' == MOD, i.e., 156->56), trigger num in 'Note #' column.",
"# (A velocity of 0 is handled poorly, so map that to 100)",
"# ",
"# If by any chance there's a bug that cycles at 100 that might be",
"# missed, but the real concern is a 256-cycle due to a char type",
" ",
"# NOTE: setting MSPB to 1 appears to overflow some Linux buffers, ",
"# causing an EAGAIN error. MSPB = 5 takes longer to run, but works.",
"METRON_ON               1",
"MSPB                    5",
"MET_CHAN                1",
"MET_NOTE                86",
"MET_VEL                 0",
"MET_LEN                 0",
" ",
"TRIGGER 2 M  4005 END_EXP 1",
]

for i in header:
	print i

metnum = 1
for i in range(100,4100):
        vel = i % 100
	if vel == 0:
		vel = 100
	print "TRIGGER  %d\tM  %d\tMET_VEL  %d" % (i, metnum, vel)
        metnum = metnum + 1

   


